package com.safeway.pricing.config;
import org.springframework.context.annotation.Bean;
import org.springframework.http.HttpMethod;
import org.springframework.security.config.annotation.web.reactive.EnableWebFluxSecurity;
import org.springframework.security.config.web.server.ServerHttpSecurity;
import org.springframework.security.web.server.SecurityWebFilterChain;


@EnableWebFluxSecurity
public class SecurityConfig {

   @Bean
    public SecurityWebFilterChain configure( ServerHttpSecurity http ) throws Exception {

         http.csrf().disable().authorizeExchange()
				         .pathMatchers("/oauth2/**", "/login/**").permitAll()
				         .pathMatchers(HttpMethod.GET,"/getDefaultFilterDetails").permitAll()
				         .pathMatchers(HttpMethod.GET,"/api/**")
				         .authenticated().and().oauth2Login();
                return http.build();

    }




}
